Unable to install any software from Ubuntu Software Center.

Asked by Amit Tamrakar on 2016-05-31

Even though having net connectivity, it throws a message "No suitable download server was found", please check your Internet connection.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu software-properties Edit question
Assignee:
No assignee Edit question
Solved by:
Amit Tamrakar
Solved:
2016-06-01
Last query:
2016-06-01
Last reply:
2016-06-01
Manfred Hampl (m-hampl) said : #1

For diagnostic purposes please provide the output of the following commands (to be executed in a terminal window):

uname -a
lsb_release -crid
sudo dpkg --audit
sudo apt-get update

Amit Tamrakar (amit-durg) said : #2

amit@amit-HP250G1Notebook:~$ uname
Linux
amit@amit-HP250G1Notebook:~$ lsb_release -crid
Distributor ID: Ubuntu
Description: Ubuntu 12.04.5 LTS
Release: 12.04
Codename: precise
amit@amit-HP250G1Notebook:~$ sudo dpkg --audit
amit@amit-HP250G1Notebook:~$ sudo apt-get update
:...............................................................................................................................................
:...............................................................................................................................................
Get:88 ftp://ftp.rezopole.net precise-security/universe Translation-en [84.5 kB]
Err https://private-ppa.launchpad.net precise/main amd64 Packages
  couldn't connect to host
Err https://private-ppa.launchpad.net precise/main i386 Packages
  couldn't connect to host
Ign https://private-ppa.launchpad.net precise/main Translation-en_IN
Ign https://private-ppa.launchpad.net precise/main Translation-en
Err https://private-ppa.launchpad.net precise/main amd64 Packages
  couldn't connect to host
Err https://private-ppa.launchpad.net precise/main i386 Packages
  couldn't connect to host
Ign https://private-ppa.launchpad.net precise/main Translation-en_IN
Ign https://private-ppa.launchpad.net precise/main Translation-en
Err https://private-ppa.launchpad.net precise/main amd64 Packages
  couldn't connect to host
Err https://private-ppa.launchpad.net precise/main i386 Packages
  couldn't connect to host
Ign https://private-ppa.launchpad.net precise/main Translation-en_IN
Ign https://private-ppa.launchpad.net precise/main Translation-en
Fetched 29.1 MB in 8min 52s (54.6 kB/s)
W: Failed to fetch http://archive.canonical.com/ubuntu/dists/precise/Release.gpg Could not connect to 172.16.10.5:3128 (172.16.10.5). - connect (113: No route to host)

W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/precise/Release.gpg Could not connect to 172.16.10.5:3128 (172.16.10.5). - connect (113: No route to host)

W: Failed to fetch http://linux.dropbox.com/ubuntu/dists/precise/Release.gpg Could not connect to 172.16.10.5:3128 (172.16.10.5). - connect (113: No route to host)

W: Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release.gpg Could not connect to 172.16.10.5:3128 (172.16.10.5). - connect (113: No route to host)

W: Failed to fetch http://dl.google.com/linux/talkplugin/deb/dists/stable/Release.gpg Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://ppa.launchpad.net/mc3man/trusty-media/ubuntu/dists/precise/Release.gpg Could not connect to 172.16.10.5:3128 (172.16.10.5). - connect (113: No route to host)

W: Failed to fetch http://archive.canonical.com/ubuntu/dists/precise/partner/source/Sources Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://linux.dropbox.com/ubuntu/dists/precise/main/binary-amd64/Packages Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://archive.canonical.com/ubuntu/dists/precise/partner/binary-amd64/Packages Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://archive.canonical.com/ubuntu/dists/precise/partner/binary-i386/Packages Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://archive.canonical.com/ubuntu/dists/precise/partner/i18n/Translation-en_IN Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://archive.canonical.com/ubuntu/dists/precise/partner/i18n/Translation-en Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/precise/main/source/Sources Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://linux.dropbox.com/ubuntu/dists/precise/main/binary-i386/Packages Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://linux.dropbox.com/ubuntu/dists/precise/main/i18n/Translation-en_IN Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://linux.dropbox.com/ubuntu/dists/precise/main/i18n/Translation-en Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://ppa.launchpad.net/mc3man/trusty-media/ubuntu/dists/precise/main/source/Sources Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://ppa.launchpad.net/mc3man/trusty-media/ubuntu/dists/precise/main/binary-amd64/Packages Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://ppa.launchpad.net/mc3man/trusty-media/ubuntu/dists/precise/main/binary-i386/Packages Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/precise/main/binary-amd64/Packages Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/precise/main/binary-i386/Packages Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/precise/main/i18n/Translation-en_IN Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/precise/main/i18n/Translation-en Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/main/binary-amd64/Packages Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/main/binary-i386/Packages Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/main/i18n/Translation-en_IN Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/main/i18n/Translation-en Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://dl.google.com/linux/talkplugin/deb/dists/stable/main/binary-amd64/Packages Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://dl.google.com/linux/talkplugin/deb/dists/stable/main/binary-i386/Packages Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://dl.google.com/linux/talkplugin/deb/dists/stable/main/i18n/Translation-en_IN Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://dl.google.com/linux/talkplugin/deb/dists/stable/main/i18n/Translation-en Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://ppa.launchpad.net/mc3man/trusty-media/ubuntu/dists/precise/main/i18n/Translation-en_IN Unable to connect to 172.16.10.5:3128:

W: Failed to fetch http://ppa.launchpad.net/mc3man/trusty-media/ubuntu/dists/precise/main/i18n/Translation-en Unable to connect to 172.16.10.5:3128:

W: Failed to fetch https://private-ppa.launchpad.net/commercial-ppa-uploaders/master-pdf-editor/ubuntu/dists/precise/main/binary-amd64/Packages couldn't connect to host

W: Failed to fetch https://private-ppa.launchpad.net/commercial-ppa-uploaders/master-pdf-editor/ubuntu/dists/precise/main/binary-i386/Packages couldn't connect to host

W: Failed to fetch https://private-ppa.launchpad.net/commercial-ppa-uploaders/nitro/ubuntu/dists/precise/main/binary-amd64/Packages couldn't connect to host

W: Failed to fetch https://private-ppa.launchpad.net/commercial-ppa-uploaders/nitro/ubuntu/dists/precise/main/binary-i386/Packages couldn't connect to host

W: Failed to fetch https://private-ppa.launchpad.net/commercial-ppa-uploaders/pdf-studio-8-demo/ubuntu/dists/precise/main/binary-amd64/Packages couldn't connect to host

W: Failed to fetch https://private-ppa.launchpad.net/commercial-ppa-uploaders/pdf-studio-8-demo/ubuntu/dists/precise/main/binary-i386/Packages couldn't connect to host

E: Some index files failed to download. They have been ignored, or old ones used instead.
amit@amit-HP250G1Notebook:~$

Manfred Hampl (m-hampl) said : #3

It seems that apt has problems with your internet connection.

Are you using a proxy for accessing the internet?

What is the output of the commands

uname -a
echo $http_proxy
echo $ftp_proxy
sudo grep -R proxy /etc/apt/*
grep -s proxy /etc/environment /etc/bash.bashrc ~/.bashrc

(mask usernames and passwords in case that they would be shown by these commands)

Amit Tamrakar (amit-durg) said : #4

Thank you for your kind support Sir.
Here are the details..

amit@amit-HP250G1Notebook:~$ uname -a
Linux amit-HP250G1Notebook 3.13.0-57-generic #95~precise1-Ubuntu SMP Mon Jun 22 09:43:07 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

amit@amit-HP250G1Notebook:~$ echo $http_proxy
http://172.16.10.5:3128/

amit@amit-HP250G1Notebook:~$ echo $ftp_proxy

amit@amit-HP250G1Notebook:~$ sudo grep -R proxy /etc/apt/*
[sudo] password for amit:
/etc/apt/apt.conf:Acquire::http::proxy "http://172.16.10.5:3128/";

amit@amit-HP250G1Notebook:~$ grep -s proxy /etc/environment /etc/bash.bashrc ~/.bashrc
/etc/environment:http_proxy="http://172.16.10.5:3128/"

Manfred Hampl (m-hampl) said : #5

Do you need this proxy definition?
Do you also use such proxy for web browsers?
Does the proxy server require authentication?

Amit Tamrakar (amit-durg) said : #6

Yes!
The server requires authentication..

Manfred Hampl (m-hampl) said : #7

In that case I assume that you have to provide the authentication information in the proxy definition

You could try changing the proxy definition in /etc/apt/apt.conf from

Acquire::http::proxy "http://172.16.10.5:3128/";

to

Acquire::http::proxy "http://username:password@172.16.10.5:3128/";

Amit Tamrakar (amit-durg) said : #8

Thank you very much Sir,
Problem Solved now :-)